import { RefCallback } from 'preact';
import { BehaviorSubject } from 'rxjs';
/**
 * Creates a ref function and a BehaviourSubject that emits the referenced element
 */
export declare const createRef: <T extends HTMLElement>() => readonly [RefCallback<T>, BehaviorSubject<T | null>];
//# sourceMappingURL=createRef.d.ts.map